Records

Record history

GET
/records/rows/{record_id}/history

Page through the revision history of a record: actor, action, changed fields with old and new values.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

record_id*string

Resource identifier: record_id.

Formatuuid

Query Parameters

limit?integer

Filter or parameter: limit.

Range1 <= value <= 50
Default50
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/records/rows/123e4567-e89b-42d3-a456-426614174000/history"
{  "items": [    {}  ],  "next_cursor": null}